POST /api/timeline/_export

Spaces method and path for this operation:

post /s/{space_id}/api/timeline/_export

Refer to Spaces for more information.

Export Timelines as an NDJSON file.

Query parameters

  • file_name string Required

    The name of the file to export

application/json

Body Required

The IDs of the Timelines to export.

  • ids array[string] | null

    At least 1 but not more than 1000 elements.

Responses

  • 200 application/ndjson

    Indicates a successful call.

    NDJSON of the exported Timelines

  • 400 application/ndjson

    Bad Request response.

    Hide response attributes Show response attributes object
    • body string
    • statusCode number
POST /api/timeline/_export
curl \
 --request POST 'https://<KIBANA_URL>/api/timeline/_export?file_name=string' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"ids":["15c1929b-0af7-42bd-85a8-56e234cc7c4e"]}'
Request example
{
  "ids": [
    "15c1929b-0af7-42bd-85a8-56e234cc7c4e"
  ]
}
Response examples (200)
{"savedObjectId":"15c1929b-0af7-42bd-85a8-56e234cc7c4e","version":"WzE0LDFd","title":"Investigation","timelineType":"default"}
Response examples (400)
{
  "body": "Export limit exceeded",
  "statusCode": 400
}